GET Attachments/ByUploadDate?assetId={assetId}&beginDate={beginDate}&endDate={endDate}&includeContent={includeContent}
Retrieves attachments for the given parameters. All parameters are optional.
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| assetId |
Id of the asset |
globally unique identifier |
None. |
| beginDate |
Beginning upload date of the attachments to retrieve |
date |
None. |
| endDate |
Ending upload date of the attachments to retrieve |
date |
None. |
| includeContent |
Include the file contents of the attachments |
boolean |
Default value is False |
Body Parameters
None.
Response Information
Resource Description
On success, a list of attachments.
| Name | Description | Type | Additional information |
|---|---|---|---|
| Data | Collection of Attachment |
None. |
|
| Total | integer |
None. |
|
| Message | string |
None. |
Response Formats
application/json, text/json
Sample:
{
"Data": [
{
"AttachmentId": "69680566-48a7-46a8-b10e-bbc912918ae8",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "59a92f90-cc46-456e-a502-3b1e2c48d5c8",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "e53bc13f-e579-473f-957c-c0f0fd7eadf5",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "d73727cc-4f1c-47db-873c-8d7878728752",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "cdcdca22-1130-4509-9d45-423d04423970",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d600937f-dd2a-431e-b77c-891e6a6f2cac",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "147f9c15-2933-4494-aa81-17beeb8f85fc",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"MeasurementValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "408997c6-3da8-445a-a9ea-94e4145f05d5",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"MeasurementValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "7a0ccc33-e331-4b33-9493-32d88c9ecce1",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-31T14:15:39.9573692-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "b26b3a76-55d8-40ec-a689-1b0cfce73911",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 7"
},
{
"AttachmentId": "69680566-48a7-46a8-b10e-bbc912918ae8",
"Name": "sample string 1",
"Description": "sample string 2",
"AttachmentCategory": {
"AttachmentCategoryId": "59a92f90-cc46-456e-a502-3b1e2c48d5c8",
"Name": "sample string 1",
"SourceSystemId": "sample string 2",
"CompanyId": "e53bc13f-e579-473f-957c-c0f0fd7eadf5",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 4",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 5"
},
"Asset": {
"AssetId": "d73727cc-4f1c-47db-873c-8d7878728752",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayOrder": 1,
"AssetType": {
"AssetTypeId": "cdcdca22-1130-4509-9d45-423d04423970",
"Name": "sample string 1",
"Description": "sample string 2",
"DisplayColor": "sample string 3",
"SourceSystemId": "sample string 4",
"CompanyId": "d600937f-dd2a-431e-b77c-891e6a6f2cac",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 7"
},
"AssetGroup": {
"AssetGroupId": "147f9c15-2933-4494-aa81-17beeb8f85fc",
"Name": "sample string 1",
"Description": "sample string 2",
"ParentGroup": null,
"DisplayOrder": 1,
"FormValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"MeasurementValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"SourceSystemId": "sample string 3",
"CompanyId": "408997c6-3da8-445a-a9ea-94e4145f05d5",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 5",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 6"
},
"ParentAsset": null,
"Location": "sample string 3",
"Barcode": {
"Format": 0,
"Code": "sample string 1"
},
"FormValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"MeasurementValueNeededDate": "2026-10-31T14:15:39.9573692-07:00",
"HasChildren": true,
"SourceSystemId": "sample string 5",
"CompanyId": "7a0ccc33-e331-4b33-9493-32d88c9ecce1",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 7",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 8"
},
"FileType": "sample string 3",
"FileSize": 1,
"UploadDate": "2026-10-31T14:15:39.9573692-07:00",
"Content": "QEA=",
"SourceSystemId": "sample string 4",
"CompanyId": "b26b3a76-55d8-40ec-a689-1b0cfce73911",
"CreateDate": "2026-10-31T14:15:39.9573692-07:00",
"CreateUser": "sample string 6",
"LastModifiedDate": "2026-10-31T14:15:39.9573692-07:00",
"LastModifiedUser": "sample string 7"
}
],
"Total": 1,
"Message": "sample string 1"
}